### Function

# GdkPixbuf PixbufModuleSaveCallbackFunc

#### Declaration

    gboolean
    (* GdkPixbufModuleSaveCallbackFunc) (
      GdkPixbufSaveFunc save_func,
      gpointer user_data,
      GdkPixbuf* pixbuf,
      gchar** option_keys,
      gchar** option_values,
      GError** error
    )

#### Description [src]

Saves a `GdkPixbuf` by calling the provided function.

The optional `option_keys` and `option_values` arrays contain the keys and values (in the same order) for attributes to be saved alongside the image data.

This function is not directly available to language bindings.

#### Parameters

`save_func`

  Type: `GdkPixbufSaveFunc`

  The function to call when saving.

`user_data`

  Type: `gpointer`

  The data to pass to `save_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`pixbuf`

  Type: `GdkPixbuf`

  The `GdkPixbuf` to save.

  The data is owned by the caller of the function.

`option_keys`

  Type: An array of `gchar*`

  An array of option names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`option_values`

  Type: An array of `gchar*`

  An array of option values.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success; in case of failure, `FALSE` is returned and the `error` is set.